﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;
using System.Timers;

namespace CODEBlogService
{
    public partial class MainService : ServiceBase
    {
        public const string ServiceLogName = "CODEBlogService";
        private EventLog EvLog = new System.Diagnostics.EventLog();
        private Timer WorkTimer = new Timer();

        public MainService()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            EvLog.Source = MainService.ServiceLogName;
            EvLog.Log = "Application";
            EvLog.WriteEntry("Start servisu");

            WorkTimer.Elapsed += WorkTimer_Elapsed;
            WorkTimer.Interval = 5000;
            WorkTimer.Enabled = true;
            WorkTimer.Start();
        }

        protected override void OnStop()
        {
            EvLog.WriteEntry("Ukoncenie servisu");
            WorkTimer.Stop();
        }

        void WorkTimer_Elapsed(object sender, ElapsedEventArgs e)
        {
            EvLog.WriteEntry("Servis bezi");
        }

#if DEBUG
        public void Debug(string[] args)
        {
            OnStart(args);
            System.Windows.Forms.Application.Run();
        }
#endif

    }
}
